Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.impl
[Groovy] Class ClosureCellEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          groovy.swing.impl.ClosureCellEditor

All Implemented Interfaces:
  TableCellEditor, TreeCellEditor

    class ClosureCellEditor
    extends AbstractCellEditor

Authors:
  Alexander Klein

Property Summary
`Map` | `callbacks`
`List` | `children`
`int` | `column`
`boolean` | `defaultEditor`
`Closure` | `editorValue`
`boolean` | `expanded`
`boolean` | `leaf`
`Closure` | `prepareEditor`
`int` | `row`
`boolean` | `selected`
`JTable` | `table`
`JTree` | `tree`
`Object` | `value`

Constructor Summary
`ClosureCellEditor(Closure c = null, Map callbacks = [:])`

Method Summary
`Object` | `getCellEditorValue()`
`Component` | `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`
`Component` | `getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`
`Object` | `invokeMethod(String name, Object args)`
`void` | `setEditorValue(Closure editorValue)`
`void` | `setPrepareEditor(Closure prepareEditor)`

Methods inherited from class AbstractCellEditor
isCellEditable, stopCellEditing, addCellEditorListener, cancelCellEditing, removeCellEditorListener, shouldSelectCell, getCellEditorListeners, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, getCellEditorValue

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### callbacks

    Map callbacks

### children

    List children

### column

    int column

### defaultEditor

    boolean defaultEditor

### editorValue

    Closure editorValue

### expanded

    boolean expanded

### leaf

    boolean leaf

### prepareEditor

    Closure prepareEditor

### row

    int row

### selected

    boolean selected

### table

    JTable table

### tree

    JTree tree

### value

    Object value

Constructor Detail

### ClosureCellEditor

    ClosureCellEditor(Closure c = null, Map callbacks = [:])

Method Detail

### getCellEditorValue

    @Override
    Object getCellEditorValue()

### getTableCellEditorComponent

    @Override
    Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)

### getTreeCellEditorComponent

    Component getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)

### invokeMethod

    @Override
    Object invokeMethod(String name, Object args)

### setEditorValue

    void setEditorValue(Closure editorValue)

### setPrepareEditor

    void setPrepareEditor(Closure prepareEditor)

Copyright © 2003-2010 The Codehaus. All rights reserved.